com.holonplatform.vaadin.spring.internal

## Class SpringViewNavigatorFactoryBean

- java.lang.Object
- - com.holonplatform.vaadin.spring.internal.SpringViewNavigatorFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.FactoryBean<DefaultSpringViewNavigator>

      public class SpringViewNavigatorFactoryBean
      extends Object
      implements org.springframework.beans.factory.FactoryBean<DefaultSpringViewNavigator>

  Spring `FactoryBean` to create and configure `SpringViewNavigator` beans.
  Since:
    5.0.0

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

      `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringViewNavigatorFactoryBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefaultSpringViewNavigator` | `getObject()`
    `Class<?>` | `getObjectType()`
    `boolean` | `isSingleton()`
    `void` | `setAccessDeniedViewClass(Class<? extends com.vaadin.navigator.View> accessDeniedViewClass)`
    `void` | `setDefaultViewName(String defaultViewName)`
    `void` | `setErrorViewClass(Class<? extends com.vaadin.navigator.View> errorViewClass)`
    `void` | `setMaxNavigationHistorySize(int maxNavigationHistorySize)`
    `void` | `setNavigateToDefaultViewWhenViewNotAvailable(boolean navigateToDefaultViewWhenViewNotAvailable)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringViewNavigatorFactoryBean

          public SpringViewNavigatorFactoryBean()

  - ### Method Detail

    - #### setMaxNavigationHistorySize

          public void setMaxNavigationHistorySize(int maxNavigationHistorySize)

    - #### setDefaultViewName

          public void setDefaultViewName(String defaultViewName)

    - #### setNavigateToDefaultViewWhenViewNotAvailable

          public void setNavigateToDefaultViewWhenViewNotAvailable(boolean navigateToDefaultViewWhenViewNotAvailable)

    - #### setErrorViewClass

          public void setErrorViewClass(Class<? extends com.vaadin.navigator.View> errorViewClass)

    - #### setAccessDeniedViewClass

          public void setAccessDeniedViewClass(Class<? extends com.vaadin.navigator.View> accessDeniedViewClass)

    - #### getObject

          public DefaultSpringViewNavigator getObject()
                                               throws Exception

      Specified by:
        `getObject` in interface `org.springframework.beans.factory.FactoryBean<DefaultSpringViewNavigator>`
      Throws:
        `Exception`

    - #### getObjectType

          public Class<?> getObjectType()

      Specified by:
        `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<DefaultSpringViewNavigator>`

    - #### isSingleton

          public boolean isSingleton()

      Specified by:
        `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<DefaultSpringViewNavigator>`

Copyright © 2019 The Holon Platform. All rights reserved.